
Core - Bug # 65858

Status: Resolved Priority: Should have
Author: Eric Chavaillaz Category:
Created: 2015-03-20 Assigned To:
Updated: 2015-04-11 Due date:
TYPO3 Version: 7
PHP Version: 5.5
Complexity: no-brainer
Is Regression: No
Sprint Focus:
Subject: Fatal error in info_pagetsconfig
Description

Hi,

When trying to see the backend module of the extension "info_pagetsconfig", a fatal error is thrown.

The problem is that it is not the good class who is called in the module.

Thanks

Related issues:
related to Core - Bug # 65638: TSconfig mod.web_info.menu.function not respec... Resolved 2015-03-10
duplicated by Core - Bug # 66286: Page TSconfig module tries to load old clas... Closed 2015-04-06

Associated revisions
Revision bdf33b93 - 2015-04-11 20:07 - Eric Chavaillaz 

[!!!][CONF][BUGFIX] Namespaces in Info module function menu

Use the namespaced class name instead of the old name when
registering the module.
All options in the function menu of the Info module are affected and
documentation of this breaking change has been added.

Resolves: #65858
Releases: master
Change-Id: I4ed881e708dc5db86dcbb122f731c97c8b0ef778
Reviewed-on: http://review.typo3.org/37969
Reviewed-by: Jigal van Hemert <jigal.van.hemert@typo3.org>
Tested-by: Jigal van Hemert <jigal.van.hemert@typo3.org>
Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Tested-by: Markus Klein <klein.t3@reelworx.at>

History
#1 - 2015-03-20 09:03 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/37969

#2 - 2015-04-11 19:17 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/37969

#3 - 2015-04-11 19:24 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/37969

#4 - 2015-04-11 20:30 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:bdf33b9341cf72666a3e244be1dd9646181a8658.
